Subject: RE: [dhcwg] retransmission timeout in stateless DHCPv6 andprefere nce option ?

From: Grubmair Peter <[email-masked]>
Date: Thu, 28 Oct 2004 17:18:06 +0200

Hi bernie,
thank you for your reply,
I will use your proposal and
implement according 17.1.2 from RFC 3315.
best regards
  Peter

-----Original Message-----
From: Bernie Volz [mailto:[email-masked]]
Sent: Donnerstag, 28. Oktober 2004 15:57
To: 'JINMEI Tatuya / _-¾'BÆ'; 'Grubmair Peter'
Cc: 'Dhcwg (E-mail)'
Subject: RE: [dhcwg] retransmission timeout in stateless DHCPv6
andpreference option ?

There's nothing I found in RFC 3315 that requires this. We were pretty clear
on what the SOLICIT behavior was, but weren't as clear in the
INFORMATION-REQUEST case.

I think you could go either way ... Follow the SOLICIT behavior and wait the
"first RT seconds" or take the first response. In the case where there is a
preference option and it specifies the highest preference (or where there is
no preference option), there would be no need to wait. If you wait, it is
only for 1 second based on the RFC specified values. I'd probably recommend
following the SOLICIT behavior.

- Bernie

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of JINMEI Tatuya / _-¾'BÆ
> Sent: Thursday, October 28, 2004 3:12 AM
> To: Grubmair Peter
> Cc: Dhcwg (E-mail)
> Subject: Re: [dhcwg] retransmission timeout in stateless 
> DHCPv6 andpreference option ?
> 
> 
> >>>>> On Wed, 27 Oct 2004 15:03:31 +0200,
> >>>>> Grubmair Peter <[email-masked]> said:
> 
> > If a statelesss dhcpv6 client receives a reply with 
> preference option, 
> > it has to wait until retransmission timer expires to select reply 
> > highest preference.
> 
> Please let me check, which part of which RFC does specify 
> this behavior?
> 
> Thanks,
> 
> 					JINMEI, Tatuya
> 					Communication Platform Lab.
> 					Corporate R&D Center, 
> Toshiba Corp.
> 					[email-masked]
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
> 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg